<h1 highlight>Angular course</h1>
<p highlight>
  Lorem, ipsum dolor sit amet consectetur adipisicing elit. Similique beatae
  minus vero explicabo quis quibusdam, dolorum nulla distinctio! In iusto
  pariatur et excepturi eligendi inventore dolorum sapiente velit, a voluptates.
</p>

<script>
  class Highlight {
    constructor(element, calculator) {
      this.element = element;
      this.id = Math.random();
      this.calculator = calculator;
    }
    init() {
      this.element.style.backgroundColor = "yellow";
      this.element.addEventListener(
        "click",
        function () {
          console.log("Hello! Im' #" + this.id);
          console.log(this.calculator.calculatePrice(100));
        }.bind(this)
      );
    }
  }

  class Calculator {
    calculatePrice(price) {
      return price * 1.2;
    }
  }

  // Dependency injection
  const highlights = document.querySelectorAll("[highlight]");
  const calculator = new Calculator();
  for (let element of highlights) {
    const obj = new Highlight(element, calculator);
    obj.init();
  }
</script>
